Skip to content

Get integration

GET
/api/v1/integration/{id}
curl --request GET \
--url https://example.com/api/v1/integration/example
id
required
string
expand
string

Integration details

Media type application/json
object
id
required

Integration ID (15 chars)

string
user
required

User ID (15 chars)

string
strava
object
clientId
integer
clientSecret
string
routes
boolean
activities
boolean
active
boolean
after
string format: date
privacy
string
Allowed values: original settings
komoot
object
email
string format: email
password
string
completed
boolean
planned
boolean
active
boolean
privacy
string
Allowed values: original settings
hammerhead
object
email
string format: email
password
string
completed
boolean
planned
boolean
active
boolean
after
string format: date
created
string format: date-time
updated
string format: date-time
Example
{
"strava": {
"privacy": "original"
},
"komoot": {
"privacy": "original"
}
}

Not Found

Internal Server Error